Results 1 to 12 of 12

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3GS currently at 3.0.1 4.26.08, what do I do to get to iOS 4?

  1. #1
    Default 3GS currently at 3.0.1 4.26.08, what do I do to get to iOS 4?
    I currently have an unlocked and jailbroken 3GS on T-Mobile, I want to upgrade to iOS4 but everything I read talks about doing it from 3.1.2 and a baseband of 5.11.07, I am currently on 3.0.1 and a baseband of 4.26.08, what exactly do I need to do to upgrade to iOS4 from my point, do I first need to upgrade to 3.1.2 or can I directly go to iOS 4? Do I need to upgrade my baseband? How would I even go about doing that? I need my phone jailbroken and unlocked since I currently use T-Mobile.

  2. #2
    Quote Originally Posted by KDR View Post
    I currently have an unlocked and jailbroken 3GS on T-Mobile, I want to upgrade to iOS4 but everything I read talks about doing it from 3.1.2 and a baseband of 5.11.07, I am currently on 3.0.1 and a baseband of 4.26.08, what exactly do I need to do to upgrade to iOS4 from my point, do I first need to upgrade to 3.1.2 or can I directly go to iOS 4? Do I need to upgrade my baseband? How would I even go about doing that? I need my phone jailbroken and unlocked since I currently use T-Mobile.
    I'm also wondering this same question, however I do not need an unlock.
    I downloaded f0recast from here iH8sn0w.com | Jailbreak your iPod touches and iPhones my
    baseband is also 4.26.08
    bootloader 6.4
    model mc138
    I think with that baseband sn0wbreeze will work for us both, can someone confirm this? I think because I have a 3.1.2 SHSH on file with cydia it will work. not sure, would like a second opinion before going through

  3. #3
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    Use sn0wbreeze or pwnage tool to create a custom 4.0 firmware and restore to that.

    Then apply the unlock from ultrasnow in cydia.
    Last edited by jkmonkey; 2010-07-07 at 11:43 PM. Reason: Automerged Doublepost

  4. #4
    so no need to put on 3.1.2? I can go directly to 4?

  5. #5
    My iPhone is a Part of Me
    Join Date
    Apr 2010
    Location
    N. Ireland
    Posts
    649
    Thanks
    10
    Thanked 81 Times in 75 Posts

    Quote Originally Posted by KDR View Post
    so no need to put on 3.1.2? I can go directly to 4?
    Yep

  6. #6
    one last thing, i need the newest version of itunes, correct?

  7. #7
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Yes. To sync afterwards. I had to put my phone in Restore Mode...1 turn the phone completely off. 2 Hold the Home button on your phone while plugging it into your computer(with iTunes open). 3 Hold the Home button until iTunes tells you it is in recovery mode. 4 Shift/Restore to your custom firmware.

  8. #8
    So i dont need it for the original update though? I just tried going from 3.0.1 to 4.0 and got an error of 1, now im going to 3.1.2 because it wont even let me turn on my phone

  9. #9
    I Pray you backup your SHSH Blobs first using umbrella.

  10. #10
    iPhone? More like MyPhone TT KH's Avatar
    Join Date
    May 2008
    Location
    The Great Pacific Northwest
    Posts
    140
    Thanks
    28
    Thanked 3 Times in 3 Posts

    Quote Originally Posted by antman1 View Post
    I Pray you backup your SHSH Blobs first using umbrella.
    I'm on a 3.0.1 firmware 04 26 08 and was thinking about going up to 4.0, but what do you mean SHSH blobs, i'm currently on tmobile as well, so is it safe to unlock and jailbreak for a 3gs 3.0.1, and which version itune do i need anyway?



    Uploaded with ImageShack.us
    Last edited by TT KH; 2010-07-27 at 06:39 AM.

  11. #11
    My iPhone is a Part of Me
    Join Date
    Apr 2010
    Location
    N. Ireland
    Posts
    649
    Thanks
    10
    Thanked 81 Times in 75 Posts

    If your on 3.0.1 JB it first then upgrade to cooked 4.0. However without your SHSH if it goes wrong you'll have to install stock 4.0.1 and wait it out for a JB.

  12. #12
    iPhone? More like MyPhone TT KH's Avatar
    Join Date
    May 2008
    Location
    The Great Pacific Northwest
    Posts
    140
    Thanks
    28
    Thanked 3 Times in 3 Posts

    So at this point I can't SHSH,Can someone kindly upload a custom 4.0, my 3gs is currently jb and unlock for tmobile

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •